Re: unblock request: python-scipy/1.1.0-4 skimage/0.14.2-2: autopkgtest passes (Re: bug#919929)

2019-03-16 Thread Drew Parsons
On 2019-03-16 22:07, Paul Gevers wrote: On 16-03-2019 13:48, Drew Parsons wrote: Is there enough will to add more scipy patches for the buster release to reduce the remaining DeprecationWarnings? (they don't break tests, they're just annoying) Or should we just let it go at this point and

Re: unblock request: python-scipy/1.1.0-4 skimage/0.14.2-2: autopkgtest passes (Re: bug#919929)

2019-03-16 Thread Paul Gevers
Hi Drew, On 16-03-2019 13:48, Drew Parsons wrote: >> The numpy.sparse tests pass with this patch, and most of the matrix >> PendingDeprecationWarnings are gone (the upstream patch missed >> integrate/tests/test_ivp.py, but the remaining warnings are few enough >> to not need to worry about). > >

unblock request: python-scipy/1.1.0-4 skimage/0.14.2-2: autopkgtest passes (Re: bug#919929)

2019-03-16 Thread Drew Parsons
On 2019-03-11 14:39, Drew Parsons wrote: I've adapted the 3 patches and pushed to salsa, matrix_API_614847c5.patch matrix_API_more_e0cfa29e2.patch matrix_API_filter_check_87e48c3c5.patch https://salsa.debian.org/python-team/modules/python-scipy/tree/master/debian/patches ... The